#include "stm32f4xx.h"
#include "stm32f4_discovery_audio_codec/stm32f4_discovery_audio_codec.h"
#include "audio_sample.h"



int main(void)
{
	SystemInit();

	EVAL_AUDIO_SetAudioInterface(AUDIO_INTERFACE_I2S);
	EVAL_AUDIO_Init(OUTPUT_DEVICE_HEADPHONE, 50, 32000);

	EVAL_AUDIO_Play((uint16_t*)AUDIO_SAMPLE, sizeof(AUDIO_SAMPLE));
	EVAL_AUDIO_PauseResume(AUDIO_RESUME);

    while(1)
    {
    }

    return 1;
}

uint16_t EVAL_AUDIO_GetSampleCallBack(void)
{
	return 1;
}

void EVAL_AUDIO_TransferComplete_CallBack(uint32_t pBuffer, uint32_t Size)
{
}

void EVAL_AUDIO_HalfTransfer_CallBack(uint32_t pBuffer, uint32_t Size)
{
}

void EVAL_AUDIO_Error_CallBack(void* pData)
{
	while(1);
}

uint32_t Codec_TIMEOUT_UserCallback(void)
{
	while(1);
	return 1;
}

